package com.bonus.core.marketing.coupon.param;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Set;

public class MktCouponMobileUsableParam {
   @ApiModelProperty("人员id")
   private @NotNull(
   message = "人员id,不能为空"
) Long custId;
   @ApiModelProperty("食堂id")
   private @Size(
   min = 1,
   message = "食堂id,不能为空"
) Set<Long> canteenIdSet;
   @ApiModelProperty("档口id")
   private @Size(
   min = 1,
   message = "档口id,不能为空"
) Set<Long> shopstallIdSet;
   @ApiModelProperty("餐次id")
   private @Size(
   min = 1,
   message = "餐次id,不能为空"
) Set<Long> intervalIdSet;

   public Long getCustId() {
      return this.custId;
   }

   public Set<Long> getCanteenIdSet() {
      return this.canteenIdSet;
   }

   public Set<Long> getShopstallIdSet() {
      return this.shopstallIdSet;
   }

   public Set<Long> getIntervalIdSet() {
      return this.intervalIdSet;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCanteenIdSet(final Set<Long> canteenIdSet) {
      this.canteenIdSet = canteenIdSet;
   }

   public void setShopstallIdSet(final Set<Long> shopstallIdSet) {
      this.shopstallIdSet = shopstallIdSet;
   }

   public void setIntervalIdSet(final Set<Long> intervalIdSet) {
      this.intervalIdSet = intervalIdSet;
   }

}
